Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1448557 - Review Request: hidviz - A tool for in-depth analysis of USB HID devices communication
Summary: Review Request: hidviz - A tool for in-depth analysis of USB HID devices com...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2017-05-05 18:11 UTC by Jaroslav Škarvada
Modified: 2017-06-09 19:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 09:03:00 UTC
zdohnal: fedora-review+


Attachments (Terms of Use)

Description Jaroslav Škarvada 2017-05-05 18:11:40 UTC
Spec URL: https://jskarvad.fedorapeople.org/hidviz/hidviz.spec
SRPM URL: https://jskarvad.fedorapeople.org/hidviz/hidviz-0.1.2-1.fc25.src.rpm
Description: Hidviz is a GUI application for in-depth analysis of USB HID class devices.
Fedora Account System Username: jskarvad

Upstream code doesn't have license setup yet, but during in-person talk with the author he told to me that it will be licensed under GPLv3+. I also pointed to the upstream that license text has to be added to the tarball.

Comment 1 Jaroslav Škarvada 2017-05-05 19:37:50 UTC
Spec URL: https://jskarvad.fedorapeople.org/hidviz/hidviz.spec
SRPM URL: https://jskarvad.fedorapeople.org/hidviz/hidviz-0.1.3-1.fc25.src.rpm

Licensing should be resolved now.

Comment 2 Raphael Groner 2017-05-06 06:49:31 UTC
Are you interested in a review swap with bug #1428202?

Comment 3 Jaroslav Škarvada 2017-05-09 07:17:43 UTC
(In reply to Raphael Groner from comment #2)
> Are you interested in a review swap with bug #1428202?

NP, but Damian Wrobel is assigned on it and according to comment 3, the review is blocked by FTBFS. Is it resolved?

Comment 4 Zdenek Dohnal 2017-05-15 10:46:02 UTC
I'll take it Jarda.

Comment 5 Zdenek Dohnal 2017-05-15 17:40:21 UTC
I encountered FTBFS errors (srpm needs to be built in rawhide):

/builddir/build/BUILD/hidviz-0.1.3/libhidx/libhidx_server/src/Server.cc: In function 'void libhidx::server::run(std::__cxx11::string, bool)':
/builddir/build/BUILD/hidviz-0.1.3/libhidx/libhidx_server/src/Server.cc:386:14: error: 'function' is not a member of 'std'
         std::function<void(const asio::error_code& ec)> timerHandler;
              ^~~~~~~~
/builddir/build/BUILD/hidviz-0.1.3/libhidx/libhidx_server/src/Server.cc:386:14: note: suggested alternative: 'is_function'
         std::function<void(const asio::error_code& ec)> timerHandler;
              ^~~~~~~~
              is_function
/builddir/build/BUILD/hidviz-0.1.3/libhidx/libhidx_server/src/Server.cc:386:23: error: expected primary-expression before 'void'
         std::function<void(const asio::error_code& ec)> timerHandler;
                       ^~~~
/builddir/build/BUILD/hidviz-0.1.3/libhidx/libhidx_server/src/Server.cc:388:9: error: 'timerHandler' was not declared in this scope
         timerHandler = [&](const asio::error_code&) {
         ^~~~~~~~~~~~
/builddir/build/BUILD/hidviz-0.1.3/libhidx/libhidx_server/src/Server.cc:388:9: note: suggested alternative: 'file_handle'
         timerHandler = [&](const asio::error_code&) {
         ^~~~~~~~~~~~
         file_handle
make[2]: *** [libhidx/libhidx_server/CMakeFiles/hidx_server.dir/build.make:74: libhidx/libhidx_server/CMakeFiles/hidx_server.dir/src/Server.cc.o] Error 1

Jarda, would you mind fixing it or should I look further into it?

Comment 6 Jaroslav Škarvada 2017-05-15 19:25:53 UTC
(In reply to Zdenek Dohnal from comment #5)
> I encountered FTBFS errors (srpm needs to be built in rawhide):
Thanks for catching.

> Jarda, would you mind fixing it or should I look further into it?
https://github.com/ondrejbudai/libhidx/pull/8

Comment 7 Jaroslav Škarvada 2017-05-15 19:29:19 UTC
Please try new version:
Spec URL: https://jskarvad.fedorapeople.org/hidviz/hidviz.spec
SRPM URL: https://jskarvad.fedorapeople.org/hidviz/hidviz-0.1.4-1.fc25.src.rpm

Comment 8 Zdenek Dohnal 2017-05-16 09:43:58 UTC
rpmlint test for binary rpm:

$ rpmlint -iv hidviz-0.1.4-1.fc27.x86_64.rpm 
hidviz.x86_64: I: checking
hidviz.x86_64: I: checking-url https://github.com/ondrejbudai/hidviz (timeout 10 seconds)
hidviz.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

hidviz.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

hidviz.x86_64: W: no-manual-page-for-binary hidviz
Each executable in standard binary directories should have a man page.

1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 9 Zdenek Dohnal 2017-05-16 09:44:55 UTC
$ rpmlint -iv hidviz-debuginfo-0.1.4-1.fc27.x86_64.rpm 
hidviz-debuginfo.x86_64: I: checking
hidviz-debuginfo.x86_64: I: checking-url https://github.com/ondrejbudai/hidviz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 10 Zdenek Dohnal 2017-05-16 09:45:56 UTC
$ rpmlint -iv hidviz-0.1.4-1.fc27.src.rpm 
hidviz.src: I: checking
hidviz.src: I: checking-url https://github.com/ondrejbudai/hidviz (timeout 10 seconds)
hidviz.src: I: checking-url http://hidviz.org/releases/hidviz-0.1.4.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 11 Jaroslav Škarvada 2017-05-16 10:43:59 UTC
(In reply to Zdenek Dohnal from comment #10)
> $ rpmlint -iv hidviz-0.1.4-1.fc27.src.rpm 
> hidviz.src: I: checking
> hidviz.src: I: checking-url https://github.com/ondrejbudai/hidviz (timeout
> 10 seconds)
> hidviz.src: I: checking-url http://hidviz.org/releases/hidviz-0.1.4.tar.gz
> (timeout 10 seconds)
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.

It looks like our network outage, it works for me at the moment.

Comment 12 Jaroslav Škarvada 2017-05-16 10:56:21 UTC
(In reply to Jaroslav Škarvada from comment #11)
> (In reply to Zdenek Dohnal from comment #10)
> > $ rpmlint -iv hidviz-0.1.4-1.fc27.src.rpm 
> > hidviz.src: I: checking
> > hidviz.src: I: checking-url https://github.com/ondrejbudai/hidviz (timeout
> > 10 seconds)
> > hidviz.src: I: checking-url http://hidviz.org/releases/hidviz-0.1.4.tar.gz
> > (timeout 10 seconds)
> > 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> It looks like our network outage, it works for me at the moment.

No, I wasn't right, you are running it with '-v' and it's saying it will wait for 10 seconds in case of trouble, so it's OK.

Comment 13 Jaroslav Škarvada 2017-05-16 10:58:59 UTC
(In reply to Jaroslav Škarvada from comment #12)
> (In reply to Jaroslav Škarvada from comment #11)
> > (In reply to Zdenek Dohnal from comment #10)
> > > $ rpmlint -iv hidviz-0.1.4-1.fc27.src.rpm 
> > > hidviz.src: I: checking
> > > hidviz.src: I: checking-url https://github.com/ondrejbudai/hidviz (timeout
> > > 10 seconds)
> > > hidviz.src: I: checking-url http://hidviz.org/releases/hidviz-0.1.4.tar.gz
> > > (timeout 10 seconds)
> > > 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> > 
> > It looks like our network outage, it works for me at the moment.
> 
> No, I wasn't right, you are running it with '-v' and it's saying it will
> wait for 10 seconds in case of trouble, so it's OK.

This is important:
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 14 Zdenek Dohnal 2017-05-16 11:26:32 UTC
I just added it here for formal reasons, to see that there aren't any issues with rpmlint. Maybe man page it is good thing to have and that hidden file/directory seems like some garbage after build getting packed - but it is for upstream to decide, if that file/directory is important.

Comment 15 Jaroslav Škarvada 2017-05-16 11:58:17 UTC
(In reply to Zdenek Dohnal from comment #14)
> I just added it here for formal reasons, to see that there aren't any issues
> with rpmlint. Maybe man page it is good thing to have and that hidden
> file/directory seems like some garbage after build getting packed - but it
> is for upstream to decide, if that file/directory is important.

hidviz.x86_64: W: hidden-file-or-dir /usr/lib/.build-id

This is due to change in Fedora build system. This is out of scope of downstream  maintainer / upstream. The right rpmlint solution is currently discussed in bug 1431408.

Thanks for reporting the manual page RFE upstream. It's not mandatory to include manual page. I hoped that somebody will contribute it (e.g. Debian :), but currently it seems upstream will create one :)

Comment 16 Zdenek Dohnal 2017-05-16 19:22:28 UTC
There is results of fedora review with some issues at top, which should be resolved before we can move on. Most items are good, but there is several items to solve.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- .so files must be either versioned and then be in -libs subpackage and that subpackage must have %post+%postun scriplets with '/sbin/ldconfig' and . Or unversioned .so files must be in -devel subpackage.
- missing licenses in spec - there must be all licenses used in package
- package must own directories - /usr/share/icons/hicolor/128x128/apps,
  /usr/share/icons/hicolor/128x128
- libhidx_server_daemon must be in %{_libexecdir}/%{name} directory - if daemon is meant to run by system rather than by user
- you should use %{name} instead hidviz in paths
- package contains *daemon executable - could it run as service in systemd?
- convert function can be in %install scriptlet - I think it makes more sense
  to have it in same place with 'install' command


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[!]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
- .so files must be either versioned and then package must have %post+%postun
  scriplets with '/sbin/ldconfig'. Or .so files must be in -devel subpackage.

[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
- missing licenses in spec - there must be all licenses used in package

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "MIT/X11 (BSD like)", "Apache (v2.0) GPL (v3
     or later)", "GPL (v3 or later)", "Unknown or generated". 30 files have
     unknown license. Detailed output of licensecheck in
     /home/zdohnal/repo_upstream/hidviz/review-hidviz/licensecheck.txt
- missing licenses in spec - there must be all licenses used in package

[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/128x128
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Development files must be in a -devel package
- it can be false positive - it depends on purpose of *.so files

[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
- you should use %{name} instead hidviz in paths

[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[!]: Package obeys FHS, except libexecdir and /usr/target.
- libhidx_server_daemon must be in %{_libexecdir}%{name} directory

[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[!]: Package contains systemd file(s) if in need.
- package contains *daemon executable - could it run as service in systemd?

[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in hidviz
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
- problems mentioned above

[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in hidviz-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: hidviz-0.1.4-1.fc25.x86_64.rpm
          hidviz-debuginfo-0.1.4-1.fc25.x86_64.rpm
          hidviz-0.1.4-1.fc25.src.rpm
hidviz.x86_64: W: no-manual-page-for-binary hidviz
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: hidviz-debuginfo-0.1.4-1.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
hidviz.x86_64: W: no-manual-page-for-binary hidviz
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
hidviz-debuginfo (rpmlib, GLIBC filtered):

hidviz (rpmlib, GLIBC filtered):
    /bin/sh
    ld-linux-x86-64.so.2()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libhidx.so()(64bit)
    libhidx_server.so()(64bit)
    libm.so.6()(64bit)
    libprotobuf.so.9()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.2)(64bit)
    libstdc++.so.6(CXXABI_1.3.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libusb-1.0.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
hidviz-debuginfo:
    hidviz-debuginfo
    hidviz-debuginfo(x86-64)

hidviz:
    application()
    application(hidviz.desktop)
    hidviz
    hidviz(x86-64)
    libhidx.so()(64bit)
    libhidx_server.so()(64bit)



Unversioned so-files
--------------------
hidviz: /usr/lib64/hidviz/libhidx.so
hidviz: /usr/lib64/hidviz/libhidx_server.so

Source checksums
----------------
http://hidviz.org/releases/hidviz-0.1.4.tar.gz :
  CHECKSUM(SHA256) this package     : a68f5626b184c76cc54bd60735b6fbe715d86958f9a4ef3147b30b9bb8dbff9b
  CHECKSUM(SHA256) upstream package : a68f5626b184c76cc54bd60735b6fbe715d86958f9a4ef3147b30b9bb8dbff9b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n hidviz
Buildroot used: fedora-25-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 17 Jaroslav Škarvada 2017-05-17 09:49:46 UTC
(In reply to Zdenek Dohnal from comment #16)
Thanks for the review, comments follow inline.

> Issues:
> =======
> - All build dependencies are listed in BuildRequires, except for any that
>   are listed in the exceptions section of Packaging Guidelines.
>   Note: These BR are not needed: gcc-c++
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

Incorrect, this was changed, all deps have to be explicitly listed, there are no exceptions.
https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRequires_2

> - .so files must be either versioned and then be in -libs subpackage and
> that subpackage must have %post+%postun scriplets with '/sbin/ldconfig' and
> . Or unversioned .so files must be in -devel subpackage.

This is non public library, it doesn't need to be versioned, but versioning would be nice.

https://fedoraproject.org/wiki/Packaging:Guidelines#Downstream_.so_name_versioning

> - missing licenses in spec - there must be all licenses used in package

IMHO there is no license conflict, the resulting package can be released under GPLv3+ as upstream states.

> - package must own directories - /usr/share/icons/hicolor/128x128/apps,
>   /usr/share/icons/hicolor/128x128

I think it should be owned by filesystem, but I am going to fix it.

> - libhidx_server_daemon must be in %{_libexecdir}/%{name} directory - if
> daemon is meant to run by system rather than by user

This is not mandatory:
"Packagers are highly encouraged to store libexecdir files in a package-specific subdirectory..."

https://fedoraproject.org/wiki/Packaging:Guidelines#Libexecdir

It will be nice to have it in subdir, please file RFE upstream (or I can do it).

> - you should use %{name} instead hidviz in paths

Really minor and depends on personal taste.

> - package contains *daemon executable - could it run as service in systemd?

It is not meant to to be run as a system service.

> - convert function can be in %install scriptlet - I think it makes more sense
>   to have it in same place with 'install' command

It depends on the point of view, it's creating source file which is not currently present in the tarball. But it's minor, I can change it.

> 
> 
> ===== MUST items =====
> 
> C/C++:
> [x]: Package does not contain kernel modules.
> [x]: Package contains no static executables.
> [!]: Development (unversioned) .so files in -devel subpackage, if present.
>      Note: Unversioned so-files in private %_libdir subdirectory (see
>      attachment). Verify they are not in ld path.
> - .so files must be either versioned and then package must have %post+%postun
>   scriplets with '/sbin/ldconfig'. Or .so files must be in -devel subpackage.
>

Comment above.

> [x]: Header files in -devel subpackage, if present.
> [x]: Package does not contain any libtool archives (.la)
> [x]: Rpath absent or only used for internal libs.
> 
> Generic:
> [!]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> - missing licenses in spec - there must be all licenses used in package
> 
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "BSD (3 clause)", "MIT/X11 (BSD like)", "Apache (v2.0) GPL (v3
>      or later)", "GPL (v3 or later)", "Unknown or generated". 30 files have
>      unknown license. Detailed output of licensecheck in
>      /home/zdohnal/repo_upstream/hidviz/review-hidviz/licensecheck.txt
> - missing licenses in spec - there must be all licenses used in package
> 

Comment above.

> [x]: License file installed when any subpackage combination is installed.
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/icons/hicolor,
>      /usr/share/icons/hicolor/128x128/apps,
>      /usr/share/icons/hicolor/128x128

Comment above, but I am goint to change it.

> [x]: %build honors applicable compiler flags or justifies otherwise.
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [!]: Development files must be in a -devel package
> - it can be false positive - it depends on purpose of *.so files

Yup, false positive, comment above.

> 
> [x]: Package uses nothing in %doc for runtime.
> [!]: Package consistently uses macros (instead of hard-coded directory
>      names).
> - you should use %{name} instead hidviz in paths
>
This check is mostly meant not to use /usr/lib64 instead of %libdir, etc. But I can change it.

> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [!]: Package obeys FHS, except libexecdir and /usr/target.
> - libhidx_server_daemon must be in %{_libexecdir}%{name} directory
>
IMHO there is no FHS opinion about libexecdir. AFAIK there is no *must* anywhere, also comment above.
 
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [!]: Package contains systemd file(s) if in need.
> - package contains *daemon executable - could it run as service in systemd?
> 
No, there is no service. The deamon is used only when the GUI is run to split non privileged GUI from the privileged core, because you cannot run privileged GUI in Wayland.

> [x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
>      contains icons.
>      Note: icons in hidviz
> [x]: Useful -debuginfo package or justification otherwise.
> [x]: Package is not known to require an ExcludeArch tag.
> [x]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 10240 bytes in 1 files.
> [!]: Package complies to the Packaging Guidelines
> - problems mentioned above
> 
> [x]: Package successfully compiles and builds into binary rpms on at least
>      one supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %license.
> [x]: Package requires other packages for directories it uses.
> [x]: Package does not own files or directories owned by other packages.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Package contains desktop file if it is a GUI application.
> [x]: Package installs a %{name}.desktop using desktop-file-install or
>      desktop-file-validate if there is such a file.
> [x]: Dist tag is present.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package use %makeinstall only when make install DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package does not use a name that already exists.
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> ===== SHOULD items =====
> 
> Generic:
> [-]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [!]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in hidviz-
>      debuginfo

False positive

> [x]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [x]: Patches link to upstream bugs/comments/lists or are otherwise
>      justified.
> [x]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [-]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed
>      files.
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Uses parallel make %{?_smp_mflags} macro.
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 
> ===== EXTRA items =====
> 
> Generic:
> [x]: Rpmlint is run on debuginfo package(s).
>      Note: No rpmlint messages.
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Large data in /usr/share should live in a noarch subpackage if package
>      is arched.
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Rpmlint
> -------
> Checking: hidviz-0.1.4-1.fc25.x86_64.rpm
>           hidviz-debuginfo-0.1.4-1.fc25.x86_64.rpm
>           hidviz-0.1.4-1.fc25.src.rpm
> hidviz.x86_64: W: no-manual-page-for-binary hidviz
> 3 packages and 0 specfiles checked; 0 errors, 1 warnings.
> 
> 
> 
> 
> Rpmlint (debuginfo)
> -------------------
> Checking: hidviz-debuginfo-0.1.4-1.fc25.x86_64.rpm
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> hidviz.x86_64: W: no-manual-page-for-binary hidviz
> 2 packages and 0 specfiles checked; 0 errors, 1 warnings.
> 
> 
> 
> Requires
> --------
> hidviz-debuginfo (rpmlib, GLIBC filtered):
> 
> hidviz (rpmlib, GLIBC filtered):
>     /bin/sh
>     ld-linux-x86-64.so.2()(64bit)
>     libQt5Core.so.5()(64bit)
>     libQt5Core.so.5(Qt_5)(64bit)
>     libQt5Core.so.5(Qt_5.7)(64bit)
>     libQt5Gui.so.5()(64bit)
>     libQt5Gui.so.5(Qt_5)(64bit)
>     libQt5Widgets.so.5()(64bit)
>     libQt5Widgets.so.5(Qt_5)(64bit)
>     libc.so.6()(64bit)
>     libgcc_s.so.1()(64bit)
>     libgcc_s.so.1(GCC_3.0)(64bit)
>     libhidx.so()(64bit)
>     libhidx_server.so()(64bit)
>     libm.so.6()(64bit)
>     libprotobuf.so.9()(64bit)
>     libpthread.so.0()(64bit)
>     libstdc++.so.6()(64bit)
>     libstdc++.so.6(CXXABI_1.3)(64bit)
>     libstdc++.so.6(CXXABI_1.3.1)(64bit)
>     libstdc++.so.6(CXXABI_1.3.2)(64bit)
>     libstdc++.so.6(CXXABI_1.3.3)(64bit)
>     libstdc++.so.6(CXXABI_1.3.5)(64bit)
>     libstdc++.so.6(CXXABI_1.3.9)(64bit)
>     libusb-1.0.so.0()(64bit)
>     rtld(GNU_HASH)
> 
> 
> 
> Provides
> --------
> hidviz-debuginfo:
>     hidviz-debuginfo
>     hidviz-debuginfo(x86-64)
> 
> hidviz:
>     application()
>     application(hidviz.desktop)
>     hidviz
>     hidviz(x86-64)
>     libhidx.so()(64bit)
>     libhidx_server.so()(64bit)
> 
> 
> 
> Unversioned so-files
> --------------------
> hidviz: /usr/lib64/hidviz/libhidx.so
> hidviz: /usr/lib64/hidviz/libhidx_server.so
> 
> Source checksums
> ----------------
> http://hidviz.org/releases/hidviz-0.1.4.tar.gz :
>   CHECKSUM(SHA256) this package     :
> a68f5626b184c76cc54bd60735b6fbe715d86958f9a4ef3147b30b9bb8dbff9b
>   CHECKSUM(SHA256) upstream package :
> a68f5626b184c76cc54bd60735b6fbe715d86958f9a4ef3147b30b9bb8dbff9b
> 
> 
> Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
> Command line :/usr/bin/fedora-review -n hidviz
> Buildroot used: fedora-25-x86_64
> Active plugins: Generic, Shell-api, C/C++
> Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell,
> R, PHP
> Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 20 Zdenek Dohnal 2017-05-19 11:34:22 UTC
The newest srpm fixed flaws discussed above, giving + and ACCEPT.

Comment 21 Gwyn Ciesla 2017-05-19 14:53:22 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/hidviz

Comment 22 Fedora Update System 2017-05-19 15:27:21 UTC
hidviz-0.1.4-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b51fe482b6

Comment 23 Fedora Update System 2017-05-19 15:28:03 UTC
hidviz-0.1.4-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f4a4632fd4

Comment 24 Fedora Update System 2017-05-20 08:16:52 UTC
hidviz-0.1.4-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b51fe482b6

Comment 25 Fedora Update System 2017-05-20 22:32:06 UTC
hidviz-0.1.4-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f4a4632fd4

Comment 26 Fedora Update System 2017-05-31 09:03:00 UTC
hidviz-0.1.4-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2017-06-09 19:03:19 UTC
hidviz-0.1.4-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.